<!DOCTYPE html>
<html>
    <head>
        <meta charset='utf-8' />
        <meta http-equiv="X-UA-Compatible" content="chrome=1" />
        <title>test vboxwebsrv</title>
    </head>

    <body>
          <p> testing vboxwebsrv... </p>

               <?php
                require_once('lib/vboxServiceWrappers.php');
                require_once('lib/utils.php');

                $hostonline = false;
                $hosturl = "http://127.0.0.1:18083/";
                while (!$foobar) {

                try {

                    //Connect to webservice
                    $connection = new SoapClient("lib/vboxwebService.wsdl", array('location' => $hosturl));

                    //Logon to webservice
                    $websessionManager = new IWebsessionManager($connection);
                    echo ' <p> Connected... </p> ';
                } catch (Exception $ex) {
                    echo $ex->getMessage();
                }

                try {
                    // Auththenticate with the webservice
                    echo '<p> Attempting logon... </p>';
                    // If vboxwebsrv borks it will hang here
                    // If this happens refresh the page and vboxwebsrv will crash
                    $vbox = $websessionManager->logon("username", "password");
                    echo '<p> Authenticated... </p>';
                } catch (Exception $ex) {
                    echo $ex->getMessage();
                }


                    $hostonline = true;
                if ($hostonline) {
                    
                    // Get the installed version of VirtualBox on the host
                    $data = $vbox->version . "-" . $vbox->revision;
                    echo '<p> VirtualBox Version: ' . $data . '</p>';

                    // Get the host Operating System
                    $vboxhost = $vbox->host;
                    $data = $vboxhost->operatingSystem;
                    echo '<p> Operating System: ' . $data . '</p>';

                    // Get the host Operating System Version
                    $data = $vboxhost->OSVersion;
                    echo '<p> Operating System Version: ' . $data . '</p>';
                    
                // Log out of the webservice
                try {
                echo '<p> Attempting Logout...</p>';
                $websessionManager->logoff($vbox->handle);
                echo '<p> Logged out... </p>';
                } catch (Exception $ex) {
                    echo $ex->getMessage();
                }
                } 
                else {
                  echo '<p> Could not connect to vboxwebsrv </p>';
                }
                }
                ?> 
    </body>
</html>
